DROP TABLE IF EXISTS dbshop_ad;
CREATE TABLE dbshop_ad (
  ad_id int(11) NOT NULL AUTO_INCREMENT,
  ad_class char(20) NOT NULL,
  ad_name char(255) NOT NULL,
  ad_place char(50) NOT NULL,
  ad_type char(20) NOT NULL,
  ad_width int(11) DEFAULT NULL,
  ad_height int(11) DEFAULT NULL,
  ad_start_time char(10) DEFAULT NULL,
  ad_end_time char(10) DEFAULT NULL,
  ad_url varchar(500) DEFAULT NULL,
  ad_body varchar(5000) DEFAULT NULL,
  ad_state tinyint(1) NOT NULL DEFAULT '2',
  template_ad char(30) NOT NULL DEFAULT 'default',
  PRIMARY KEY (ad_id),
  KEY ad_place (ad_place,ad_type,ad_state),
  KEY ad_class (ad_class),
  KEY template_ad (template_ad)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_admin;
CREATE TABLE dbshop_admin (
  admin_id int(11) NOT NULL AUTO_INCREMENT,
  admin_group_id int(11) NOT NULL,
  admin_name char(100) NOT NULL,
  admin_passwd char(32) NOT NULL,
  admin_email char(100) NOT NULL,
  admin_add_time char(10) NOT NULL,
  admin_old_login_time char(10) DEFAULT NULL,
  admin_new_login_time char(10) DEFAULT NULL,
  PRIMARY KEY (admin_id),
  KEY admin_name (admin_name,admin_email),
  KEY admin_group_id (admin_group_id)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_admin_group;
CREATE TABLE dbshop_admin_group (
  admin_group_id int(11) NOT NULL AUTO_INCREMENT,
  admin_group_purview text,
  PRIMARY KEY (admin_group_id)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_admin_group_extend;
CREATE TABLE dbshop_admin_group_extend (
  admin_group_id int(11) NOT NULL,
  admin_group_name char(200) NOT NULL,
  `language` char(10) NOT NULL,
  KEY admin_group_id (admin_group_id,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_ad_slide;
CREATE TABLE dbshop_ad_slide (
  ad_id int(11) NOT NULL,
  ad_slide_info varchar(1000) DEFAULT NULL,
  ad_slide_image char(200) DEFAULT NULL,
  ad_slide_sort int(3) DEFAULT '255',
  ad_slide_url varchar(500) DEFAULT NULL,
  KEY ad_id (ad_id,ad_slide_sort)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_article;
CREATE TABLE dbshop_article (
  article_id int(11) NOT NULL AUTO_INCREMENT,
  article_class_id int(11) NOT NULL,
  article_writer char(200) DEFAULT NULL,
  article_url char(200) DEFAULT NULL,
  article_add_time char(10) NOT NULL,
  article_state tinyint(1) NOT NULL DEFAULT '0',
  article_sort int(11) NOT NULL DEFAULT '255',
  PRIMARY KEY (article_id),
  KEY article_class_id (article_class_id,article_add_time),
  KEY article_state (article_state),
  KEY article_sort (article_sort)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_article_class;
CREATE TABLE dbshop_article_class (
  article_class_id int(11) NOT NULL AUTO_INCREMENT,
  article_class_top_id int(11) NOT NULL DEFAULT '0',
  article_class_path char(255) NOT NULL DEFAULT '0',
  article_class_sort int(11) NOT NULL,
  article_class_state tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (article_class_id),
  KEY article_class_top_id (article_class_top_id,article_class_sort,article_class_state),
  KEY article_class_path (article_class_path)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_article_class_extend;
CREATE TABLE dbshop_article_class_extend (
  article_class_id int(11) NOT NULL,
  article_class_name char(200) NOT NULL,
  article_class_info varchar(1000) DEFAULT NULL,
  article_class_extend_name char(100) DEFAULT NULL,
  article_class_keywords char(255) DEFAULT NULL,
  article_class_description varchar(1000) DEFAULT NULL,
  `language` char(10) NOT NULL,
  KEY article_class_id (article_class_id,article_class_name,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_article_extend;
CREATE TABLE dbshop_article_extend (
  article_id int(11) NOT NULL,
  article_title char(200) NOT NULL,
  article_body text,
  article_title_extend char(100) DEFAULT NULL,
  article_keywords char(255) DEFAULT NULL,
  article_description varchar(1000) DEFAULT NULL,
  `language` char(10) NOT NULL,
  KEY article_id (article_id,article_title,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_currency;
CREATE TABLE dbshop_currency (
  currency_id int(11) NOT NULL AUTO_INCREMENT,
  currency_name char(20) NOT NULL,
  currency_code char(5) NOT NULL,
  currency_symbol char(5) DEFAULT NULL,
  currency_decimal tinyint(1) NOT NULL DEFAULT '2',
  currency_unit char(20) DEFAULT NULL,
  currency_rate char(10) NOT NULL,
  currency_type tinyint(1) NOT NULL DEFAULT '0',
  currency_state tinyint(1) NOT NULL,
  PRIMARY KEY (currency_id),
  KEY currency_name (currency_name,currency_code,currency_decimal,currency_type,currency_state)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_express;
CREATE TABLE dbshop_express (
  express_id int(11) NOT NULL AUTO_INCREMENT,
  express_name char(200) NOT NULL,
  express_name_code char(30) DEFAULT NULL,
  express_info varchar(1000) DEFAULT NULL,
  express_url char(100) DEFAULT NULL,
  express_sort int(11) NOT NULL,
  express_set char(1) NOT NULL,
  express_price char(100) DEFAULT NULL,
  express_state tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (express_id),
  KEY express_sort (express_sort),
  KEY express_set (express_set),
  KEY express_state (express_state)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_express_individuation;
CREATE TABLE dbshop_express_individuation (
  indiv_id int(11) NOT NULL AUTO_INCREMENT,
  express_id int(11) DEFAULT '0',
  express_price char(100) NOT NULL DEFAULT '0',
  express_area varchar(5000) NOT NULL,
  PRIMARY KEY (indiv_id),
  KEY express_id (express_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_getpackageuser;
CREATE TABLE dbshop_getpackageuser (
  user_id int(11) NOT NULL AUTO_INCREMENT,
  user_name char(100) NOT NULL,
  user_passwd char(32) NOT NULL,
  web_site char(200) NOT NULL,
  user_state tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (user_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_goods;
CREATE TABLE dbshop_goods (
  goods_id int(11) NOT NULL AUTO_INCREMENT,
  goods_item char(50) NOT NULL,
  brand_id int(11) DEFAULT '0',
  attribute_group_id int(11) NOT NULL DEFAULT '0',
  goods_state tinyint(1) NOT NULL,
  goods_weight char(20) NOT NULL DEFAULT '0',
  goods_start_time char(10) DEFAULT NULL,
  goods_end_time char(10) DEFAULT NULL,
  goods_price char(20) DEFAULT '0',
  goods_shop_price char(20) NOT NULL DEFAULT '0',
  goods_preferential_price char(20) DEFAULT '0',
  goods_preferential_start_time char(10) DEFAULT NULL,
  goods_preferential_end_time char(10) DEFAULT NULL,
  goods_stock int(11) NOT NULL DEFAULT '0',
  goods_out_of_stock_set int(11) NOT NULL DEFAULT '0',
  goods_cart_buy_max_num int(11) NOT NULL DEFAULT '0',
  goods_cart_buy_min_num int(11) NOT NULL DEFAULT '0',
  goods_stock_state int(11) NOT NULL,
  goods_stock_state_open tinyint(1) NOT NULL DEFAULT '0',
  goods_out_stock_state int(11) NOT NULL,
  goods_add_time char(10) NOT NULL,
  goods_sort int(11) NOT NULL,
  goods_tag_str varchar(1000) DEFAULT NULL,
  goods_click int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (goods_id),
  KEY goods_item (goods_item,goods_shop_price,goods_stock,goods_stock_state,goods_add_time,goods_sort),
  KEY brand_id (brand_id),
  KEY attribute_group_id (attribute_group_id),
  KEY goods_out_stock_state (goods_out_stock_state),
  KEY goods_stock_state_set (goods_stock_state_open),
  KEY goods_click (goods_click)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_goods_attribute;
CREATE TABLE dbshop_goods_attribute (
  attribute_id int(11) NOT NULL AUTO_INCREMENT,
  attribute_type char(10) NOT NULL,
  attribute_group_id int(11) NOT NULL,
  attribute_sort int(11) NOT NULL,
  PRIMARY KEY (attribute_id),
  KEY attribute_type (attribute_type,attribute_group_id,attribute_sort)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_goods_attribute_extend;
CREATE TABLE dbshop_goods_attribute_extend (
  attribute_id int(11) NOT NULL,
  attribute_name char(100) NOT NULL,
  `language` char(10) NOT NULL,
  KEY attribute_id (attribute_id,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_goods_attribute_group;
CREATE TABLE dbshop_goods_attribute_group (
  attribute_group_id int(11) NOT NULL AUTO_INCREMENT,
  attribute_group_sort int(11) NOT NULL,
  PRIMARY KEY (attribute_group_id),
  KEY attribute_group_sort (attribute_group_sort)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_goods_attribute_group_extend;
CREATE TABLE dbshop_goods_attribute_group_extend (
  attribute_group_id int(11) NOT NULL,
  attribute_group_name char(100) NOT NULL,
  `language` char(10) NOT NULL,
  KEY attribute_group_id (attribute_group_id,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_goods_attribute_value;
CREATE TABLE dbshop_goods_attribute_value (
  value_id int(11) NOT NULL AUTO_INCREMENT,
  attribute_id int(11) NOT NULL,
  attribute_group_id int(11) NOT NULL,
  value_sort int(3) NOT NULL DEFAULT '255',
  PRIMARY KEY (value_id),
  KEY attribute_id (attribute_id,value_sort),
  KEY attribute_group_id (attribute_group_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_goods_attribute_value_extend;
CREATE TABLE dbshop_goods_attribute_value_extend (
  value_id int(11) NOT NULL,
  attribute_id int(11) NOT NULL,
  value_name char(100) NOT NULL,
  `language` char(10) NOT NULL,
  KEY value_id (value_id,attribute_id,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_goods_brand;
CREATE TABLE dbshop_goods_brand (
  brand_id int(11) NOT NULL AUTO_INCREMENT,
  brand_sort int(3) NOT NULL DEFAULT '255',
  PRIMARY KEY (brand_id),
  KEY brand_sort (brand_sort)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_goods_brand_extend;
CREATE TABLE dbshop_goods_brand_extend (
  brand_id int(11) NOT NULL,
  brand_name char(150) NOT NULL,
  brand_logo char(100) DEFAULT NULL,
  brand_info varchar(1500) DEFAULT NULL,
  brand_title_extend char(100) DEFAULT NULL,
  brand_keywords char(255) DEFAULT NULL,
  brand_description varchar(1000) DEFAULT NULL,
  `language` char(10) NOT NULL,
  KEY `language` (`language`),
  KEY brand_id (brand_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_goods_class;
CREATE TABLE dbshop_goods_class (
  class_id int(11) NOT NULL AUTO_INCREMENT,
  class_top_id int(11) NOT NULL DEFAULT '0',
  class_name char(150) NOT NULL,
  class_path char(255) DEFAULT '0',
  class_state tinyint(1) NOT NULL,
  class_info varchar(4000) DEFAULT NULL,
  class_sort int(11) NOT NULL DEFAULT '255',
  class_title_extend char(100) DEFAULT NULL,
  class_keywords char(255) DEFAULT NULL,
  class_description varchar(1000) DEFAULT NULL,
  class_icon char(200) DEFAULT NULL,
  class_image char(100) DEFAULT NULL,
  navigation_show tinyint(1) DEFAULT NULL,
  PRIMARY KEY (class_id),
  KEY class_top_id (class_top_id,class_name),
  KEY class_state (class_state),
  KEY class_sort (class_sort),
  KEY navigation_show (navigation_show)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_goods_class_show;
CREATE TABLE dbshop_goods_class_show (
  class_id int(11) NOT NULL,
  show_body varchar(5000) NOT NULL,
  KEY class_id (class_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_goods_comment;
CREATE TABLE dbshop_goods_comment (
  comment_id int(11) NOT NULL AUTO_INCREMENT,
  comment_writer char(100) NOT NULL,
  comment_body varchar(2000) NOT NULL,
  goods_evaluation tinyint(1) NOT NULL DEFAULT '5',
  comment_time char(10) NOT NULL,
  comment_show_state tinyint(1) NOT NULL DEFAULT '1',
  reply_body varchar(2000) DEFAULT NULL,
  reply_time char(10) DEFAULT NULL,
  reply_writer char(100) DEFAULT NULL,
  goods_id int(11) NOT NULL,
  order_goods_id int(11) NOT NULL,
  PRIMARY KEY (comment_id),
  KEY goods_evaluation (goods_evaluation,comment_time,comment_show_state,goods_id),
  KEY reply_time (reply_time,reply_writer),
  KEY order_goods_id (order_goods_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_goods_comment_base;
CREATE TABLE dbshop_goods_comment_base (
  goods_id int(11) NOT NULL,
  comment_last_writer char(100) NOT NULL,
  comment_last_time char(10) NOT NULL,
  comment_count int(11) NOT NULL,
  PRIMARY KEY (goods_id),
  KEY comment_last_writer (comment_last_writer,comment_last_time)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_goods_custom;
CREATE TABLE dbshop_goods_custom (
  custom_title char(50) NOT NULL,
  custom_content char(255) DEFAULT NULL,
  custom_key int(2) NOT NULL,
  goods_id int(11) NOT NULL,
  KEY goods_id (goods_id),
  KEY custom_key (custom_key)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_goods_extend;
CREATE TABLE dbshop_goods_extend (
  goods_id int(11) NOT NULL,
  goods_name char(255) NOT NULL,
  goods_info varchar(2000) DEFAULT NULL,
  goods_body text,
  goods_image_id int(11) DEFAULT NULL,
  goods_extend_name char(255) DEFAULT NULL,
  goods_keywords char(255) DEFAULT NULL,
  goods_description varchar(1000) DEFAULT NULL,
  `language` char(20) NOT NULL,
  KEY goods_id (goods_id,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_goods_image;
CREATE TABLE dbshop_goods_image (
  goods_image_id int(11) NOT NULL AUTO_INCREMENT,
  goods_id int(11) DEFAULT '0',
  goods_title_image varchar(150) DEFAULT NULL,
  goods_thumbnail_image varchar(150) DEFAULT NULL,
  goods_watermark_image varchar(150) DEFAULT NULL,
  goods_source_image varchar(150) DEFAULT NULL,
  image_sort int(3) DEFAULT '255',
  `language` char(20) NOT NULL,
  PRIMARY KEY (goods_image_id),
  KEY goods_id (goods_id,`language`),
  KEY image_sort (image_sort)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_goods_in_attribute;
CREATE TABLE dbshop_goods_in_attribute (
  goods_id int(11) NOT NULL,
  attribute_id int(11) NOT NULL,
  attribute_body varchar(3000) DEFAULT NULL,
  KEY goods_id (goods_id,attribute_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_goods_in_class;
CREATE TABLE dbshop_goods_in_class (
  goods_id int(11) NOT NULL,
  class_id int(11) NOT NULL,
  class_state tinyint(1) NOT NULL DEFAULT '1',
  class_goods_sort int(11) DEFAULT '255',
  class_recommend tinyint(1) NOT NULL DEFAULT '0',
  KEY goods_id (goods_id,class_id),
  KEY goods_sort (class_goods_sort),
  KEY class_state (class_state),
  KEY class_recommend (class_recommend)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_goods_price_extend;
CREATE TABLE dbshop_goods_price_extend (
  extend_id int(11) NOT NULL AUTO_INCREMENT,
  extend_name char(120) DEFAULT NULL,
  goods_id int(11) NOT NULL,
  extend_type char(10) NOT NULL,
  `language` char(10) NOT NULL,
  PRIMARY KEY (extend_id),
  KEY goods_id (goods_id,`language`),
  KEY extend_type (extend_type)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_goods_price_extend_color;
CREATE TABLE dbshop_goods_price_extend_color (
  color_value char(20) NOT NULL,
  color_info char(100) DEFAULT NULL,
  color_image char(100) DEFAULT NULL,
  extend_id int(11) NOT NULL,
  goods_id int(11) NOT NULL,
  KEY color_value (color_value,extend_id,goods_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_goods_price_extend_goods;
CREATE TABLE dbshop_goods_price_extend_goods (
  goods_color char(20) NOT NULL,
  goods_size char(20) NOT NULL,
  goods_extend_price char(20) NOT NULL,
  goods_extend_stock int(11) NOT NULL,
  goods_extend_item char(50) NOT NULL,
  goods_id int(11) NOT NULL,
  KEY goods_color (goods_color,goods_size,goods_extend_price,goods_extend_stock,goods_extend_item,goods_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_goods_price_extend_size;
CREATE TABLE dbshop_goods_price_extend_size (
  size_value char(20) NOT NULL,
  size_info char(100) DEFAULT NULL,
  extend_id int(11) NOT NULL,
  goods_id int(11) NOT NULL,
  KEY size_value (size_value,extend_id,goods_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_goods_tag;
CREATE TABLE dbshop_goods_tag (
  tag_id int(11) NOT NULL AUTO_INCREMENT,
  tag_type char(20) DEFAULT NULL,
  tag_group_id int(11) NOT NULL DEFAULT '0',
  template_tag char(30) DEFAULT NULL ,
  PRIMARY KEY (tag_id),
  KEY tag_type (tag_type),
  KEY tag_group_id (tag_group_id),
  KEY template_tag (template_tag)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_goods_tag_extend;
CREATE TABLE dbshop_goods_tag_extend (
  tag_id int(11) NOT NULL,
  tag_name char(200) NOT NULL,
  `language` char(10) NOT NULL,
  KEY tag_id (tag_id,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_goods_tag_group;
CREATE TABLE dbshop_goods_tag_group (
  tag_group_id int(11) NOT NULL AUTO_INCREMENT,
  tag_group_sort int(3) NOT NULL,
  PRIMARY KEY (tag_group_id),
  KEY tag_group_sort (tag_group_sort)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_goods_tag_group_extend;
CREATE TABLE dbshop_goods_tag_group_extend (
  tag_group_id int(11) NOT NULL,
  tag_group_name char(100) NOT NULL,
  `language` char(10) NOT NULL,
  KEY tag_group_id (tag_group_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_goods_tag_in_goods;
CREATE TABLE dbshop_goods_tag_in_goods (
  tag_id int(11) NOT NULL,
  goods_id int(11) NOT NULL,
  tag_goods_sort int(11) NOT NULL DEFAULT '255',
  KEY tag_id (tag_id,goods_id),
  KEY tag_goods_sort (tag_goods_sort)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_links;
CREATE TABLE dbshop_links (
  links_id int(11) NOT NULL AUTO_INCREMENT,
  links_webname char(100) NOT NULL,
  links_url char(255) DEFAULT NULL,
  links_logo char(100) DEFAULT NULL,
  links_sort int(11) NOT NULL DEFAULT '255',
  links_state tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (links_id),
  KEY links_sort (links_sort,links_state)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_navigation;
CREATE TABLE dbshop_navigation (
  navigation_id int(11) NOT NULL AUTO_INCREMENT,
  navigation_url varchar(500) DEFAULT NULL,
  navigation_type tinyint(1) NOT NULL,
  navigation_new_window tinyint(1) DEFAULT '0',
  navigation_sort int(11) NOT NULL DEFAULT '255',
  PRIMARY KEY (navigation_id),
  KEY navigation_type (navigation_type,navigation_new_window,navigation_sort)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_navigation_extend;
CREATE TABLE dbshop_navigation_extend (
  navigation_id int(11) NOT NULL,
  navigation_title char(200) NOT NULL,
  `language` char(10) NOT NULL,
  KEY navigation_id (navigation_id,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_online;
CREATE TABLE dbshop_online (
  online_id int(11) NOT NULL AUTO_INCREMENT,
  online_name char(100) NOT NULL,
  online_account char(100) NOT NULL,
  online_type char(10) NOT NULL,
  online_web_code varchar(500) DEFAULT NULL,
  online_state tinyint(1) NOT NULL DEFAULT '0',
  online_group_id int(11) NOT NULL,
  online_sort int(3) NOT NULL DEFAULT '255',
  PRIMARY KEY (online_id),
  KEY online_name (online_name,online_state,online_group_id),
  KEY online_account (online_account),
  KEY online_sort (online_sort)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_online_group;
CREATE TABLE dbshop_online_group (
  online_group_id int(11) NOT NULL AUTO_INCREMENT,
  online_group_name char(100) NOT NULL,
  online_group_sort int(11) NOT NULL,
  online_group_state tinyint(1) NOT NULL DEFAULT '0',
  index_show char(4) DEFAULT NULL,
  class_show char(4) DEFAULT NULL,
  goods_show char(4) DEFAULT NULL,
  PRIMARY KEY (online_group_id),
  KEY online_group_sort (online_group_sort,online_group_state)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_operlog;
CREATE TABLE dbshop_operlog (
  log_id int(11) NOT NULL AUTO_INCREMENT,
  log_oper_user char(50) NOT NULL,
  log_oper_usergroup char(50) NOT NULL,
  log_time char(10) NOT NULL,
  log_ip char(20) NOT NULL,
  log_content varchar(2000) DEFAULT NULL,
  PRIMARY KEY (log_id),
  KEY log_oper_user (log_oper_user,log_time)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_order;
CREATE TABLE dbshop_order (
  order_id int(11) NOT NULL AUTO_INCREMENT,
  order_sn char(50) NOT NULL,
  order_out_sn char(50) DEFAULT NULL,
  goods_serialize varchar(5000) DEFAULT NULL,
  goods_amount char(10) NOT NULL,
  order_amount char(10) NOT NULL,
  pay_fee char(10) NOT NULL DEFAULT '0',
  express_fee char(10) NOT NULL DEFAULT '0',
  user_pre_fee char(10) NOT NULL DEFAULT '0',
  user_pre_info char(100) DEFAULT NULL,
  buy_pre_fee char(10) NOT NULL DEFAULT '0',
  goods_weight_amount char(10) NOT NULL DEFAULT '0',
  order_state int(4) NOT NULL,
  ot_order_state int(4) DEFAULT NULL,
  pay_code char(20) NOT NULL,
  pay_name char(20) NOT NULL,
  pay_time char(10) DEFAULT NULL,
  pay_certification varchar(500) DEFAULT NULL,
  express_id int(11) NOT NULL,
  express_name char(100) NOT NULL,
  express_time char(10) DEFAULT NULL,
  buyer_id int(11) NOT NULL,
  buyer_name char(100) NOT NULL,
  buyer_email char(50) NOT NULL,
  currency char(10) NOT NULL,
  currency_symbol char(15) DEFAULT NULL,
  currency_unit char(15) DEFAULT NULL,
  order_time char(10) NOT NULL,
  finish_time char(10) DEFAULT NULL,
  order_message varchar(500) DEFAULT NULL,
  PRIMARY KEY (order_id),
  KEY order_sn (order_sn,order_out_sn,goods_amount,order_amount,pay_fee,express_fee,order_state,express_id),
  KEY order_time (order_time),
  KEY buyer_id (buyer_id,buyer_name,buyer_email),
  KEY pay_time (pay_time),
  KEY ot_order_state (ot_order_state)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_order_delivery_address;
CREATE TABLE dbshop_order_delivery_address (
  order_id int(11) NOT NULL AUTO_INCREMENT,
  delivery_name char(100) NOT NULL,
  region_id int(11) NOT NULL,
  region_info char(100) NOT NULL,
  region_address char(150) NOT NULL,
  zip_code char(6) DEFAULT NULL,
  tel_phone char(20) DEFAULT NULL,
  mod_phone char(20) DEFAULT NULL,
  express_name char(50) NOT NULL,
  express_fee char(10) DEFAULT '0',
  express_time_info char(255) DEFAULT NULL,
  express_number char(50) DEFAULT NULL,
  express_id int(11) NOT NULL,
  PRIMARY KEY (order_id),
  KEY region_id (region_id,express_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_order_goods;
CREATE TABLE dbshop_order_goods (
  order_goods_id int(11) NOT NULL AUTO_INCREMENT,
  order_id int(11) NOT NULL,
  goods_id int(11) NOT NULL,
  class_id int(11) NOT NULL,
  goods_item char(100) DEFAULT NULL,
  goods_name char(255) NOT NULL,
  goods_extend_info char(255) DEFAULT NULL,
  goods_color char(20) DEFAULT NULL,
  goods_size char(20) DEFAULT NULL,
  goods_shop_price char(10) NOT NULL,
  buy_num int(11) NOT NULL,
  goods_image char(100) DEFAULT NULL,
  goods_amount char(10) NOT NULL,
  goods_count_weight int(11) NOT NULL DEFAULT '0',
  buyer_id int(11) NOT NULL,
  comment_state tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (order_goods_id),
  KEY order_id (order_id,goods_id,goods_shop_price),
  KEY goods_count_weight (goods_count_weight),
  KEY buyer_id (buyer_id),
  KEY class_id (class_id),
  KEY comment_state (comment_state)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_order_log;
CREATE TABLE dbshop_order_log (
  order_log_id int(11) NOT NULL AUTO_INCREMENT,
  order_id int(11) NOT NULL,
  order_state int(11) NOT NULL,
  state_info char(255) DEFAULT NULL,
  log_time char(10) NOT NULL,
  log_user char(50) NOT NULL,
  PRIMARY KEY (order_log_id),
  KEY order_id (order_id,order_state,log_user)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_packageservice;
CREATE TABLE dbshop_packageservice (
  package_id int(11) NOT NULL AUTO_INCREMENT,
  package_name char(100) NOT NULL,
  package_info varchar(1000) NOT NULL,
  package_version char(10) NOT NULL,
  package_version_state char(25) DEFAULT NULL,
  package_module char(30) NOT NULL,
  PRIMARY KEY (package_id),
  KEY package_name (package_name,package_version,package_module),
  KEY package_version_state (package_version_state)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_region;
CREATE TABLE dbshop_region (
  region_id int(11) NOT NULL AUTO_INCREMENT,
  region_top_id int(11) NOT NULL DEFAULT '0',
  region_sort int(3) NOT NULL DEFAULT '255',
  region_path char(100) DEFAULT NULL,
  PRIMARY KEY (region_id),
  KEY region_top_id (region_top_id,region_sort)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_region_extend;
CREATE TABLE dbshop_region_extend (
  region_id int(11) NOT NULL,
  region_name char(255) NOT NULL,
  `language` char(20) NOT NULL,
  KEY region_id (region_id,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_stock_state;
CREATE TABLE dbshop_stock_state (
  stock_state_id int(11) NOT NULL AUTO_INCREMENT,
  state_sort int(11) DEFAULT '255',
  stock_type_state tinyint(1) NOT NULL DEFAULT '1',
  state_type tinyint(1) DEFAULT '0',
  PRIMARY KEY (stock_state_id),
  KEY state_sort (state_sort,state_type),
  KEY stock_type_state (stock_type_state)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_stock_state_extend;
CREATE TABLE dbshop_stock_state_extend (
  stock_state_id int(11) NOT NULL,
  stock_state_name char(100) NOT NULL,
  `language` char(10) NOT NULL,
  KEY stock_state_id (stock_state_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_user;
CREATE TABLE dbshop_user (
  user_id int(11) NOT NULL AUTO_INCREMENT,
  group_id int(11) NOT NULL,
  user_name char(100) NOT NULL,
  user_avatar char(100) DEFAULT NULL,
  user_password char(32) NOT NULL,
  user_email char(50) NOT NULL,
  user_sex tinyint(1) NOT NULL DEFAULT '3',
  user_birthday char(10) DEFAULT NULL,
  user_time char(10) NOT NULL,
  user_state tinyint(1) NOT NULL DEFAULT '1',
  user_audit_code char(100) DEFAULT NULL,
  user_forgot_passwd_code char(100) DEFAULT NULL,
  PRIMARY KEY (user_id),
  UNIQUE KEY user_name_2 (user_name),
  UNIQUE KEY user_email (user_email),
  KEY user_name (user_name,user_email,user_sex),
  KEY group_id (group_id),
  KEY user_birthday (user_birthday)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_user_address;
CREATE TABLE dbshop_user_address (
  address_id int(11) NOT NULL AUTO_INCREMENT,
  true_name char(100) NOT NULL,
  region_id int(11) NOT NULL,
  region_value char(255) DEFAULT NULL,
  address char(255) NOT NULL,
  zip_code char(10) DEFAULT NULL,
  mod_phone char(50) NOT NULL,
  tel_area_code char(10) DEFAULT NULL,
  tel_phone char(20) DEFAULT NULL,
  tel_ext char(10) DEFAULT NULL,
  addr_default tinyint(1) NOT NULL DEFAULT '0',
  user_id int(11) NOT NULL,
  PRIMARY KEY (address_id),
  KEY true_name (true_name,region_id,mod_phone,addr_default),
  KEY user_id (user_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_user_favorites;
CREATE TABLE dbshop_user_favorites (
  favorites_id int(11) NOT NULL AUTO_INCREMENT,
  goods_id int(11) NOT NULL,
  class_id int(11) NOT NULL,
  user_id int(11) NOT NULL,
  `time` char(10) NOT NULL,
  PRIMARY KEY (favorites_id),
  KEY goods_id (goods_id,user_id),
  KEY class_id (class_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_user_group;
CREATE TABLE dbshop_user_group (
  group_id int(11) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (group_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_user_group_extend;
CREATE TABLE dbshop_user_group_extend (
  group_id int(11) NOT NULL,
  group_name char(200) NOT NULL,
  `language` char(10) NOT NULL,
  KEY group_id (group_id,group_name,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS dbshop_user_mail_log;
CREATE TABLE dbshop_user_mail_log (
  mail_log_id int(11) NOT NULL AUTO_INCREMENT,
  mail_subject varchar(200) NOT NULL,
  mail_body varchar(6000) NOT NULL,
  send_time char(10) NOT NULL,
  user_id int(11) NOT NULL,
  send_state tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (mail_log_id),
  KEY user_id (user_id),
  KEY send_state (send_state)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;